Update Service Key
curl --request PATCH \
--url https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"name": "<string>",
"tier_name": "<string>",
"overage_rate_usd_per_min_override": 123,
"included_minutes_per_month_override": 1,
"reserved_concurrent_slots": 1,
"addons": {},
"commitment_months": 1,
"floor_override_reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"is_active": true
}
'import requests
url = "https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}"
payload = {
"reason": "<string>",
"name": "<string>",
"tier_name": "<string>",
"overage_rate_usd_per_min_override": 123,
"included_minutes_per_month_override": 1,
"reserved_concurrent_slots": 1,
"addons": {},
"commitment_months": 1,
"floor_override_reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: '<string>',
name: '<string>',
tier_name: '<string>',
overage_rate_usd_per_min_override: 123,
included_minutes_per_month_override: 1,
reserved_concurrent_slots: 1,
addons: {},
commitment_months: 1,
floor_override_reason: '<string>',
expires_at: '2023-11-07T05:31:56Z',
is_active: true
})
};
fetch('https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'reason' => '<string>',
'name' => '<string>',
'tier_name' => '<string>',
'overage_rate_usd_per_min_override' => 123,
'included_minutes_per_month_override' => 1,
'reserved_concurrent_slots' => 1,
'addons' => [
],
'commitment_months' => 1,
'floor_override_reason' => '<string>',
'expires_at' => '2023-11-07T05:31:56Z',
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"name\": \"<string>\",\n \"tier_name\": \"<string>\",\n \"overage_rate_usd_per_min_override\": 123,\n \"included_minutes_per_month_override\": 1,\n \"reserved_concurrent_slots\": 1,\n \"addons\": {},\n \"commitment_months\": 1,\n \"floor_override_reason\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"is_active\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\",\n \"name\": \"<string>\",\n \"tier_name\": \"<string>\",\n \"overage_rate_usd_per_min_override\": 123,\n \"included_minutes_per_month_override\": 1,\n \"reserved_concurrent_slots\": 1,\n \"addons\": {},\n \"commitment_months\": 1,\n \"floor_override_reason\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"is_active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"<string>\",\n \"name\": \"<string>\",\n \"tier_name\": \"<string>\",\n \"overage_rate_usd_per_min_override\": 123,\n \"included_minutes_per_month_override\": 1,\n \"reserved_concurrent_slots\": 1,\n \"addons\": {},\n \"commitment_months\": 1,\n \"floor_override_reason\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"is_active\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"organization_id": 123,
"key_prefix": "<string>",
"tier_name": "<string>",
"reserved_concurrent_slots": 123,
"commitment_months": 123,
"used_minutes_this_month": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"overage_rate_usd_per_min_override": "<string>",
"included_minutes_per_month_override": 123,
"addons": {},
"floor_override_reason": "<string>",
"floor_override_approved_by": 123,
"month_anchor": "2023-12-25",
"last_used_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"created_by": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Update Service Key
PATCH
/
api
/
v1
/
admin
/
service-keys
/
{key_id}
Update Service Key
curl --request PATCH \
--url https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"name": "<string>",
"tier_name": "<string>",
"overage_rate_usd_per_min_override": 123,
"included_minutes_per_month_override": 1,
"reserved_concurrent_slots": 1,
"addons": {},
"commitment_months": 1,
"floor_override_reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"is_active": true
}
'import requests
url = "https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}"
payload = {
"reason": "<string>",
"name": "<string>",
"tier_name": "<string>",
"overage_rate_usd_per_min_override": 123,
"included_minutes_per_month_override": 1,
"reserved_concurrent_slots": 1,
"addons": {},
"commitment_months": 1,
"floor_override_reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: '<string>',
name: '<string>',
tier_name: '<string>',
overage_rate_usd_per_min_override: 123,
included_minutes_per_month_override: 1,
reserved_concurrent_slots: 1,
addons: {},
commitment_months: 1,
floor_override_reason: '<string>',
expires_at: '2023-11-07T05:31:56Z',
is_active: true
})
};
fetch('https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'reason' => '<string>',
'name' => '<string>',
'tier_name' => '<string>',
'overage_rate_usd_per_min_override' => 123,
'included_minutes_per_month_override' => 1,
'reserved_concurrent_slots' => 1,
'addons' => [
],
'commitment_months' => 1,
'floor_override_reason' => '<string>',
'expires_at' => '2023-11-07T05:31:56Z',
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"name\": \"<string>\",\n \"tier_name\": \"<string>\",\n \"overage_rate_usd_per_min_override\": 123,\n \"included_minutes_per_month_override\": 1,\n \"reserved_concurrent_slots\": 1,\n \"addons\": {},\n \"commitment_months\": 1,\n \"floor_override_reason\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"is_active\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\",\n \"name\": \"<string>\",\n \"tier_name\": \"<string>\",\n \"overage_rate_usd_per_min_override\": 123,\n \"included_minutes_per_month_override\": 1,\n \"reserved_concurrent_slots\": 1,\n \"addons\": {},\n \"commitment_months\": 1,\n \"floor_override_reason\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"is_active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/admin/service-keys/{key_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"<string>\",\n \"name\": \"<string>\",\n \"tier_name\": \"<string>\",\n \"overage_rate_usd_per_min_override\": 123,\n \"included_minutes_per_month_override\": 1,\n \"reserved_concurrent_slots\": 1,\n \"addons\": {},\n \"commitment_months\": 1,\n \"floor_override_reason\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"is_active\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"organization_id": 123,
"key_prefix": "<string>",
"tier_name": "<string>",
"reserved_concurrent_slots": 123,
"commitment_months": 123,
"used_minutes_this_month": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"overage_rate_usd_per_min_override": "<string>",
"included_minutes_per_month_override": 123,
"addons": {},
"floor_override_reason": "<string>",
"floor_override_approved_by": 123,
"month_anchor": "2023-12-25",
"last_used_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"created_by": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Path Parameters
Body
application/json
Admin-only: update tier, override rate, add-ons, reserved slots, Enterprise floor-override metadata, expiry. Customers cannot edit most of these fields тАФ that is why this lives in the admin endpoints.
Required string length:
10 - 500Maximum string length:
128Maximum string length:
32Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Response
Successful Response
Service key metadata тАФ does NOT include the actual key value. The cleartext key is shown to the customer exactly once via ServiceKeyIssuedResponse at creation time.
First 12 characters of the key (e.g. 'pk_live_abcd'). Safe to display in the UI for identification.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
